Package opennlp.tools.entitylinker

# Class BaseLink

java.lang.Object
opennlp.tools.entitylinker.BaseLink

public abstract class BaseLink extends Object
Represents a minimal tuple of information. Intended to be used with `LinkedSpan`.

See Also:
  - `EntityLinker`
  - `LinkedSpan`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseLink(String itemParentID, String itemID, String itemName, String itemType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getItemID()`
  `String`
  `getItemName()`
  `String`
  `getItemParentID()`
  `String`
  `getItemType()`
  `Map<String,Double>`
  `getScoreMap()`
  `int`
  `hashCode()`
  `void`
  `setItemID(String itemID)`
  `void`
  `setItemName(String itemName)`
  `void`
  `setItemParentID(String itemParentID)`
  `void`
  `setItemType(String itemType)`
  `void`
  `setScoreMap(Map<String,Double> scoreMap)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BaseLink

    public BaseLink(String itemParentID, String itemID, String itemName, String itemType)

- ## Method Details

  - ### getItemParentID

    public String getItemParentID()

  - ### setItemParentID

    public void setItemParentID(String itemParentID)
    Parameters:
      `itemParentID` - The parent ID of the linked item

  - ### getItemID

    public String getItemID()

  - ### setItemID

    public void setItemID(String itemID)
    Parameters:
      `itemID` - This field can store, for example, the primary key of a now in an external/linked data source.

  - ### getItemName

    public String getItemName()

  - ### setItemName

    public void setItemName(String itemName)
    Parameters:
      `itemName` - An item name can be the native name (often a normalized version of something) from an external linked data source.

  - ### getItemType

    public String getItemType()

  - ### setItemType

    public void setItemType(String itemType)
    Parameters:
      `itemType` - An item type can be the native type from an external linked database. For instance, a product type or code.

  - ### getScoreMap

    public Map<String,Double> getScoreMap()

  - ### setScoreMap

    public void setScoreMap(Map<String,Double> scoreMap)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`